bin_PROGRAMS = dvoMakeCorr dvoApplyCorr

noinst_HEADERS = \
	dvoMakeCorr.h \
	dvoApplyCorr.h

dvoMakeCorr_CPPFLAGS = $(PSLIB_CFLAGS) $(PSMODULE_CFLAGS) $(dvoCorr_CFLAGS)
dvoMakeCorr_LDFLAGS = $(PSLIB_LIBS) $(PSMODULE_LIBS)
dvoMakeCorr_SOURCES = \
	dvoMakeCorr.c \
	dvoMakeCorrArguments.c \
	dvoMakeCorrParseCamera.c \
	dvoMakeCorrLoop.c \
	dvoMakeCorrUnbin.c \
	dvoMakeCorrCleanup.c \
	dvoMakeCorrOptions.c \
	dvoMakeCorrVersion.c

dvoApplyCorr_CPPFLAGS = $(PSLIB_CFLAGS) $(PSMODULE_CFLAGS) $(dvoCorr_CFLAGS)
dvoApplyCorr_LDFLAGS = $(PSLIB_LIBS) $(PSMODULE_LIBS)
dvoApplyCorr_SOURCES = \
	dvoApplyCorr.c \
	dvoApplyCorrArguments.c \
	dvoApplyCorrParseCamera.c \
	dvoApplyCorrLoop.c \
	dvoApplyCorrReadout.c \
	dvoApplyCorrCleanup.c \
	dvoApplyCorrOptions.c \
	dvoApplyCorrVersion.c

CLEANFILES = *~

clean-local:
	-rm -f TAGS

# Tags for emacs
tags:
	etags `find . -name \*.[ch] -print`
